Package org.apache.commons.jxpath.ri.compiler

# Class CoreOperationNotEqual

java.lang.Object
org.apache.commons.jxpath.ri.compiler.Expression
org.apache.commons.jxpath.ri.compiler.Operation
org.apache.commons.jxpath.ri.compiler.CoreOperation
org.apache.commons.jxpath.ri.compiler.CoreOperationCompare
org.apache.commons.jxpath.ri.compiler.CoreOperationNotEqual

public class CoreOperationNotEqual extends CoreOperationCompare
Implementation of `Expression` for the operation "!=".

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `Expression.PointerIterator, Expression.ValueIterator`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation

  `ADD_PRECEDENCE, AND_PRECEDENCE, COMPARE_PRECEDENCE, MULTIPLY_PRECEDENCE, NEGATE_PRECEDENCE, OR_PRECEDENCE, RELATIONAL_EXPR_PRECEDENCE, UNION_PRECEDENCE`

  ### Fields inherited from class org.apache.commons.jxpath.ri.compiler.Operation

  `args`

  ### Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `NOT_A_NUMBER, ONE, ZERO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoreOperationNotEqual(Expression arg1, Expression arg2)`
  Constructs a new CoreOperationNotEqual.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSymbol()`
  Returns the XPath symbol for this operation, e.g. "+", "div", etc.

  ### Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperationCompare

  `computeValue, contains, equal, equal, findMatch, getPrecedence, isSymmetric`

  ### Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation

  `compute, toString`

  ### Methods inherited from class org.apache.commons.jxpath.ri.compiler.Operation

  `computeContextDependent, getArguments`

  ### Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `isContextDependent, iterate, iteratePointers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CoreOperationNotEqual

    public CoreOperationNotEqual(Expression arg1, Expression arg2)
    Constructs a new CoreOperationNotEqual.
    Parameters:
      `arg1` - left operand
      `arg2` - right operand

- ## Method Details

  - ### getSymbol

    public String getSymbol()
    Description copied from class: `CoreOperation`
    Returns the XPath symbol for this operation, e.g. "+", "div", etc.
    Specified by:
      `getSymbol` in class `CoreOperation`
    Returns:
      String symbol